<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Review Journal</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-lg">
                    <div class="card-header">
                        <h5>Review Journal</h5>
                    </div>
                    <div class="card-body">
                        <form action="" method="get">
                            <div class="row mb-3">
                                <div class="col-md-4">
                                    <label>Cari</label>
                                    <input type="text" class="form-control" name="search" placeholder="Cari berdasarkan deskripsi, nama, nim" th:value="${search}">
                                </div>
                                <div class="col-md-4">
                                    <label>Start Date</label>
                                    <input type="date" class="form-control" name="startDate" th:value="${startDate}">
                                </div>
                                <div class="col-md-4">
                                    <label>End Date</label>
                                    <input type="date" class="form-control" name="endDate" th:value="${endDate}">
                                </div>
                                <div class="col-md-12 mt-2">
                                    <label>Aplikasi</label>
                                    <select name="app" id="" class="form-select">
                                        <option value="">-- Pilih Aplikasi --</option>
                                        <option th:each="data : ${typeApp}"
                                                th:value="${data}" th:text="${data}"></option>
                                    </select>
                                </div>
                            </div>
                            <div class="row mb-2">
                                <div class="col-md-12 text-center">
                                    <button class="btn btn-primary" type="submit">Search</button>
                                </div>
                            </div>

                        </form>
                        <div class="row mb-2">
                            <div class="col-md-12 text-end">
                                <a  th:href="@{/download/reviewJournal(startDate = ${startDate}, endDate = ${endDate})}" th:if="${startDate != null}" class="btn btn-outline-success">Download Semua Data</a>
                            </div>
                        </div>
                        <div class="row mb-2" th:if="${startDate != null}">
                            <div class="col-md-12">
                                <p>Data yang di tampilkan dari tanggal
                                    <b th:text="${#temporals.format(startDate, 'dd MMMM yyyy')}">29 Januari 2024</b> hingga
                                    <b th:text="${#temporals.format(endDate, 'dd MMMM yyyy')}">29 Januari 2024</b>
                                </p>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                <strong th:text="${success}"></strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                            <form th:action="@{/journal/review/updatestatus}" method="post">
                                <div class="mb-3 text-end">
                                    <button class="btn btn-success" type="submit">Catat sebagai jurnal</button>
                                </div>
                                <table class="table table-bordered">
                                    <thead class="table-dark" style="--bs-table-bg: #0a3e8a">
                                    <tr>
                                        <th width="5%">#</th>
                                        <th width="80%" colspan="2">Deskripsi</th>
                                        <th>Tanggal Input</th>
                                        <th width="">Tanggal</th>
                                        <td></td>
                                    </tr>
                                    </thead>
                                    <tbody th:each="data, row:${journal}">
                                    <tr class="bg-secondary bg-opacity-25">
                                        <td th:if="${indexRow == true}" th:text="${(row.index + 1) + (journal.number * journal.size)}">1</td>
                                        <td th:if="${indexRow == false}" th:text="${(row.index + 1)}">1</td>
                                        <td colspan="2" th:text="${data.description}">Pendaftaran Mahasiswa atas nama Arif Rahmatullah</td>
                                        <td th:text="${#temporals.format(data.transactionTime, 'dd MMMM yyyy')}"></td>
                                        <td th:text="${#temporals.format(data.transactionDate, 'dd MMMM yyyy')}">20 January 2024</td>
                                        <td>
                                            <input class="form-check-input" name="data" th:value="${data.id}" type="checkbox">
                                        </td>
                                    </tr>
                                    <tr class="bg-secondary bg-opacity-10">
                                        <td></td>
                                        <th colspan="2">Account</th>
                                        <th>Debet</th>
                                        <th>Credit</th>
                                        <th></th>
                                    </tr>
                                    <tr th:each="dataDetail, rowDetail:${journalDetail}" th:if="${data.id == dataDetail.journal.id}">
                                        <td></td>
                                        <td th:text="${dataDetail.account.code + ' - ' + dataDetail.account.name}" colspan="2">Kas</td>
                                        <td>
                                            <span th:if="${dataDetail.balanceType.toString() == 'DEBET'}" th:text="${#numbers.formatDecimal(dataDetail.amount,  0, 'POINT', 2, 'COMMA')}"></span>
                                        </td>
                                        <td>
                                            <span th:if="${dataDetail.balanceType.toString() == 'CREDIT'}" th:text="${#numbers.formatDecimal(dataDetail.amount,  0, 'POINT', 2, 'COMMA')}"></span>
                                        </td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td colspan="5" class="text-end">
                                            <a th:href="@{/journal/update(journal = ${data.id})}"
                                               onclick="return confirm('Apakah Anda yakin ingin mencatat journal ini ?');"
                                               class="btn btn-primary btn-sm">Catat Sebagai Jurnal</a>

                                            <a th:href="@{/journal/edit-review/{journal}(journal = ${data.id})}"
                                               class="btn btn-warning btn-sm">
                                                Edit
                                            </a>

                                            <a th:href="@{/journal/delete(journal = ${data.id})}" class="btn btn-danger btn-sm"
                                               onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');">Hapus</a>
                                        </td>
                                        <td></td>
                                    </tr>
                                    </tbody>
                                </table>
                                <nav aria-label="Page navigation example">
                                    <ul class="pagination justify-content-center" sd:pagination="full">
                                        <li class="page-item disabled">
                                            <a class="page-link" href="#" tabindex="-1">Previous</a>
                                        </li>
                                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item">
                                            <a class="page-link" href="#">Next</a>
                                        </li>
                                    </ul>
                                </nav>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>